﻿using System;

class StudentScholarship
{
    static void Main()
    {
        int student_id;
        string lastName;
        float mark1;
        float mark2;
        float mark3;
        char letterGrade1;
        char letterGrade2;
        char letterGrade3;
        double runningTotal = 0;
        double averageMark;
        int numMarks = 3;
        char letterAverage;
        float scholarship;

        Console.Write("Enter the student's last name: ");
        lastName = Console.ReadLine();

        Console.Write("Enter the student's id number: ");
        student_id = int.Parse(Console.ReadLine());

        Console.Write("Enter the student's first mark: ");
        mark1 = float.Parse(Console.ReadLine());
        runningTotal += mark1;

        Console.Write("Enter the student's second mark: ");
        mark2 = float.Parse(Console.ReadLine());
        runningTotal += mark2;

        Console.Write("Enter the student's third mark: ");
        mark3 = float.Parse(Console.ReadLine());
        runningTotal += mark3;

        averageMark = runningTotal / numMarks;

        Console.WriteLine($"The student {lastName} with id {student_id} has marks of {mark1}, {mark2}, and {mark3}");
        Console.WriteLine($"{lastName} has an average mark of {averageMark}");

        letterGrade1 = CalculateLetterGrade(mark1);
        letterGrade2 = CalculateLetterGrade(mark2);
        letterGrade3 = CalculateLetterGrade(mark3);

        Console.WriteLine($"The student {lastName} with id {student_id} has marks of {letterGrade1}, {letterGrade2}, and {letterGrade3}.");

        letterAverage = CalculateLetterGrade(averageMark);

        if (letterAverage == 'A')
        {
            Console.WriteLine($"{lastName} is an A student.\n");
        }
        else
        {
            Console.WriteLine($"{lastName} is a {letterAverage} student.\n");
        }

        scholarship = CalculateScholarship(letterAverage);

        if (scholarship > 0)
        {
            Console.WriteLine($"{lastName} wins a scholarship of ${scholarship:N2}.\n");
        }
        else
        {
            Console.WriteLine($"{lastName} does not receive a scholarship.\n");
        }
    }

    static char CalculateLetterGrade(double mark)
    {
        if (mark >= 80) return 'A';
        else if (mark >= 70) return 'B';
        else if (mark >= 60) return 'C';
        else if (mark >= 50) return 'D';
        else return 'F';
    }

    static float CalculateScholarship(char letterGrade)
    {
        switch (letterGrade)
        {
            case 'A':
                return 5000.00f;
            case 'B':
                return 2000.00f;
            case 'C':
                return 500.00f;
            default:
                return 0.0f;
        }
    }
}
